import { request } from 'umi';
import { api } from '../api';

/**
 * 获取组员及组员账号列表
*/
export async function getAdAccountAllOfMember() {
  return request(api + '/adq/adAccount/allOfMember');
}
// export async function get_allOfMember() {
//   return fetch(api + '/adq/adAccount/allOfMember',{
//     headers:{
//       "content-Type":"application/json;charset=UTF-8",
//       "Authorization": `Bearer ${sessionStorage.getItem("Admin-Token")}`
//     }
//   }).then(res=>res.json())
// }
/**
 * 获取ADQ广告列表
 * @param adgroupName 广告名称
 * @param promotedObjectType 广告类型
 * @param accountId 账户ID
 * @param adgroupName 广告名称
 */
 export async function getAdqAdgroupsList(params: {
  pageNum: number;
  pageSize: number;
  accountId: string;
  adgroupName?:string
}) {
  return request(api + '/adq/adgroups/list', {
    method: 'POST',
    data: params,
  });
}
/**
 * 同步ADQ广告列表
 * @param accountId 账户ID
 * @param adgroupIds id列表
 * @param lastModifiedTime 时间 yyyy
 */
 export async function putAdqAdgroupsSync(params: {
  adgroupIds?: any[];
  accountId: string;
  lastModifiedTime?:string
}) {
  return request(api + '/adgroups/sync', {
    method: 'POST',
    data: params,
  });
}
/**
 * 获取ADQ创意列表
 * @param adgroupName 广告名称
 * @param promotedObjectType 广告类型
 * @param accountId 账户ID
 */
export async function getAdqAdcreativeList(params: {
  pageNum: number;
  pageSize: number;
  accountId: string;
}) {
  return request(api + '/adq/adcreative/list', {
    method: 'POST',
    data: params,
  });
}

/**
 * 获取ADQ落地页列表
 * @param adgroupName 广告名称
 * @param promotedObjectType 广告类型
 * @param accountId 账户ID
 */
export async function getAdqLandingPageList(params: {
  pageNum: number;
  pageSize: number;
  accountId: string;
  pageName: string;
  pageType: string;
  pageTemplateId: string;
  pageStatus: string;
}) {
  return request(api + '/adq/landingPageWechat/list ', {
    method: 'POST',
    data: params,
  });
}

/**
 * 按账号同步落地页
 * @param adAccountId 本地ID
 */
 export async function putAdqLandingPage(adAccountId: any) {
  return request(api + `/adq/landingPageWechat/syncAll/${adAccountId} `, {
    method: 'PUT',
  });
}
/**
 * 获取ADQ定向列表
 * @param adgroupName 广告名称
 * @param promotedObjectType 广告类型
 * @param accountId 账户ID
 */
export async function getAdqTargetingList(params: {
  pageNum: number;
  pageSize: number;
  accountId: string;
  pageName: string;
  pageType: string;
  pageTemplateId: string;
  pageStatus: string;
}) {
  return request(api + '/adq/targeting/list ', {
    method: 'POST',
    data: params,
  });
}

/**
 * 按账号同步ADQ定向列表
 * @param adAccountId 本地ID
 */
 export async function putAdqTargetingSyncAll(adAccountId: any) {
  return request(api + `/adq/targeting/syncAll/${adAccountId} `, {
    method: 'PUT',
  });
}

